Debian Bug report logs - #640256
ekiga: add arm-linux-gnueabihf (armhf) support

version graph

Package: ekiga; Maintainer for ekiga is Kilian Krause <kilian@debian.org>; Source for ekiga is src:ekiga.

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Sat, 3 Sep 2011 16:21:02 UTC

Severity: important

Tags: fixed-upstream, patch

Found in version ekiga/3.2.7-4

Fixed in version ekiga/3.2.7-4.1

Done: Hector Oron <zumbi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kilian Krause <kilian@debian.org>:
Bug#640256; Package ekiga. (Sat, 03 Sep 2011 16:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Kilian Krause <kilian@debian.org>. (Sat, 03 Sep 2011 16:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: submit <submit@bugs.debian.org>
Subject: ekiga: add arm-linux-gnueabihf (armhf) support
Date: Sat, 3 Sep 2011 19:20:22 +0300
Package: ekiga
Version: 3.2.7-4
Severity: important
Tags: patch

ekiga fails on armhf:

http://buildd.debian-ports.org/status/fetch.php?pkg=ekiga&arch=armhf&ver=3.2.7-4&stamp=1314705653

The reason is the triplet, ekiga's configure checks for gnueabi to
decide upon OS support, whereas armhf uses
arm-linux-gnueabihf as triplet.

Changing:

  linux-gnulp | linux-gnu | linux-gnueabi | linux | Linux)
    gm_platform="linux"
    ;;

to:

  linux-gnulp | linux-gnu | linux-gnueabi* | linux | Linux)
    gm_platform="linux"
    ;;

in configure.ac:90, makes the package build fine on armhf. Please
consider fixing this.

Regards

Konstantinos




Information forwarded to debian-bugs-dist@lists.debian.org, Kilian Krause <kilian@debian.org>:
Bug#640256; Package ekiga. (Sat, 03 Sep 2011 17:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to Kilian Krause <kilian@debian.org>. (Sat, 03 Sep 2011 17:30:03 GMT) Full text and rfc822 format available.

Message #10 received at 640256@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: Konstantinos Margaritis <markos@genesi-usa.com>, 640256@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#640256: ekiga: add arm-linux-gnueabihf (armhf) support
Date: Sat, 03 Sep 2011 19:27:41 +0200
tags 640256 fixed-upstream
thanks

Fixed with http://git.gnome.org/browse/ekiga/commit/?id=f49e5a5ce749ac. 
 Thank you for the patch.

Eugen

On 03/09/11 18:20, Konstantinos Margaritis wrote:
> Package: ekiga
> Version: 3.2.7-4
> Severity: important
> Tags: patch
>
> ekiga fails on armhf:
>
> http://buildd.debian-ports.org/status/fetch.php?pkg=ekiga&arch=armhf&ver=3.2.7-4&stamp=1314705653
>
> The reason is the triplet, ekiga's configure checks for gnueabi to
> decide upon OS support, whereas armhf uses
> arm-linux-gnueabihf as triplet.
>
> Changing:
>
>    linux-gnulp | linux-gnu | linux-gnueabi | linux | Linux)
>      gm_platform="linux"
>      ;;
>
> to:
>
>    linux-gnulp | linux-gnu | linux-gnueabi* | linux | Linux)
>      gm_platform="linux"
>      ;;
>
> in configure.ac:90, makes the package build fine on armhf. Please
> consider fixing this.




Added tag(s) fixed-upstream. Request was from Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr> to control@bugs.debian.org. (Sat, 03 Sep 2011 17:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Kilian Krause <kilian@debian.org>:
Bug#640256; Package ekiga. (Sun, 16 Oct 2011 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to Kilian Krause <kilian@debian.org>. (Sun, 16 Oct 2011 20:57:04 GMT) Full text and rfc822 format available.

Message #17 received at 640256@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 640256@bugs.debian.org
Subject: Re: Bug#640256: ekiga: add arm-linux-gnueabihf (armhf) support
Date: Sun, 16 Oct 2011 21:56:03 +0100
[Message part 1 (text/plain, inline)]
Dear maintainer,

On Sat, Sep 03, 2011 at 07:27:41PM +0200, Eugen Dedu wrote:
> tags 640256 fixed-upstream
> thanks
> 
> Fixed with
> http://git.gnome.org/browse/ekiga/commit/?id=f49e5a5ce749ac.  Thank
> you for the patch.
 
  Would it be possible to upload a new Debian version with this fix in place?
  If you dont have the time I can prepare a Non Maintainer Upload for you.

Best regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Kilian Krause <kilian@debian.org>:
Bug#640256; Package ekiga. (Sun, 16 Oct 2011 21:22:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to Kilian Krause <kilian@debian.org>. (Sun, 16 Oct 2011 21:22:46 GMT) Full text and rfc822 format available.

Message #22 received at 640256@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: Hector Oron <zumbi@debian.org>, 640256@bugs.debian.org
Subject: Re: Bug#640256: ekiga: add arm-linux-gnueabihf (armhf) support
Date: Sun, 16 Oct 2011 23:12:08 +0200
On 16/10/11 22:56, Hector Oron wrote:
> Dear maintainer,
>
> On Sat, Sep 03, 2011 at 07:27:41PM +0200, Eugen Dedu wrote:
>> tags 640256 fixed-upstream
>> thanks
>>
>> Fixed with
>> http://git.gnome.org/browse/ekiga/commit/?id=f49e5a5ce749ac.  Thank
>> you for the patch.
>
>    Would it be possible to upload a new Debian version with this fix in place?
>    If you dont have the time I can prepare a Non Maintainer Upload for you.

Please do it, thank you.

-- 
Eugen




Information forwarded to debian-bugs-dist@lists.debian.org, Kilian Krause <kilian@debian.org>:
Bug#640256; Package ekiga. (Mon, 17 Oct 2011 11:45:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to Kilian Krause <kilian@debian.org>. (Mon, 17 Oct 2011 11:45:22 GMT) Full text and rfc822 format available.

Message #27 received at 640256@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 640256@bugs.debian.org
Subject: ekiga: diff for NMU version 3.2.7-4.1
Date: Mon, 17 Oct 2011 12:43:19 +0100
[Message part 1 (text/plain, inline)]
tags 640256 + pending
thanks

Dear maintainer,

I've prepared an NMU for ekiga (versioned as 3.2.7-4.1) and
uploaded it to DELAYED/7. Please feel free to tell me if I
should delay it longer or shorter.

Note that upstream changes at
 <http://git.gnome.org/browse/ekiga/commit/?id=f49e5a5ce749ac>
are semi-complete and its missing:
+@@ -124,7 +124,7 @@ case $target_os in
+     ARCH_OPAL_LIBS="-lpt -lopal -ldl -lpthread"
+     ;;
+ 
+-  linux-gnulp | linux-gnu | linux-gnueabi | linux | Linux)
++  linux-gnulp | linux-gnu | linux-gnueabi* | linux | Linux)
+     ARCH_PTLIB_CFLAGS="-DPTRACING -DNDEBUG -Os -g -fno-exceptions -felide-constructors"
+     ARCH_OPAL_LIBS="-lpt -lopal -ldl -lpthread"
+     ;;

Regards.

-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html
[ekiga-3.2.7-4.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Mon, 17 Oct 2011 11:45:25 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Kilian Krause <kilian@debian.org>:
Bug#640256; Package ekiga. (Mon, 17 Oct 2011 12:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to Kilian Krause <kilian@debian.org>. (Mon, 17 Oct 2011 12:28:23 GMT) Full text and rfc822 format available.

Message #34 received at 640256@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: Hector Oron <zumbi@debian.org>, 640256@bugs.debian.org
Subject: Re: Bug#640256: ekiga: diff for NMU version 3.2.7-4.1
Date: Mon, 17 Oct 2011 14:13:57 +0200
It is ok for me, thank you.

Eugen

On 17/10/11 13:43, Hector Oron wrote:
> tags 640256 + pending
> thanks
>
> Dear maintainer,
>
> I've prepared an NMU for ekiga (versioned as 3.2.7-4.1) and
> uploaded it to DELAYED/7. Please feel free to tell me if I
> should delay it longer or shorter.
>
> Note that upstream changes at
>   <http://git.gnome.org/browse/ekiga/commit/?id=f49e5a5ce749ac>
> are semi-complete and its missing:
> +@@ -124,7 +124,7 @@ case $target_os in
> +     ARCH_OPAL_LIBS="-lpt -lopal -ldl -lpthread"
> +     ;;
> +
> +-  linux-gnulp | linux-gnu | linux-gnueabi | linux | Linux)
> ++  linux-gnulp | linux-gnu | linux-gnueabi* | linux | Linux)
> +     ARCH_PTLIB_CFLAGS="-DPTRACING -DNDEBUG -Os -g -fno-exceptions -felide-constructors"
> +     ARCH_OPAL_LIBS="-lpt -lopal -ldl -lpthread"
> +     ;;
>
> Regards.
>




Information forwarded to debian-bugs-dist@lists.debian.org, Kilian Krause <kilian@debian.org>:
Bug#640256; Package ekiga. (Mon, 17 Oct 2011 12:42:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to Kilian Krause <kilian@debian.org>. (Mon, 17 Oct 2011 12:42:35 GMT) Full text and rfc822 format available.

Message #39 received at 640256@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: Hector Oron <hector.oron@gmail.com>
Cc: 640256@bugs.debian.org
Subject: Re: Bug#640256: ekiga: diff for NMU version 3.2.7-4.1
Date: Mon, 17 Oct 2011 14:30:08 +0200
On 17/10/11 14:20, Hector Oron wrote:
> Hello Eugen,
>
> 2011/10/17 Eugen Dedu<Eugen.Dedu@pu-pm.univ-fcomte.fr>:
>> It is ok for me, thank you.
>
> Would you mind if I reschedule the upload to shorter time?

No, not at all.

-- 
Eugen




Reply sent to Hector Oron <zumbi@debian.org>:
You have taken responsibility. (Mon, 17 Oct 2011 13:06:16 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Mon, 17 Oct 2011 13:06:24 GMT) Full text and rfc822 format available.

Message #44 received at 640256-close@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 640256-close@bugs.debian.org
Subject: Bug#640256: fixed in ekiga 3.2.7-4.1
Date: Mon, 17 Oct 2011 13:02:24 +0000
Source: ekiga
Source-Version: 3.2.7-4.1

We believe that the bug you reported is fixed in the latest version of
ekiga, which is due to be installed in the Debian FTP archive:

ekiga-dbg_3.2.7-4.1_amd64.deb
  to main/e/ekiga/ekiga-dbg_3.2.7-4.1_amd64.deb
ekiga_3.2.7-4.1.debian.tar.gz
  to main/e/ekiga/ekiga_3.2.7-4.1.debian.tar.gz
ekiga_3.2.7-4.1.dsc
  to main/e/ekiga/ekiga_3.2.7-4.1.dsc
ekiga_3.2.7-4.1_amd64.deb
  to main/e/ekiga/ekiga_3.2.7-4.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 640256@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hector Oron <zumbi@debian.org> (supplier of updated ekiga package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 17 Oct 2011 12:00:09 +0100
Source: ekiga
Binary: ekiga ekiga-dbg
Architecture: source amd64
Version: 3.2.7-4.1
Distribution: unstable
Urgency: low
Maintainer: Kilian Krause <kilian@debian.org>
Changed-By: Hector Oron <zumbi@debian.org>
Description: 
 ekiga      - H.323 and SIP compatible VoIP client
 ekiga-dbg  - H.323 and SIP compatible VoIP client - debug symbols
Closes: 640256
Changes: 
 ekiga (3.2.7-4.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add arm-linux-gnueabihf (armhf) support (Closes: #640256)
Checksums-Sha1: 
 23ae6acee98785c20123306331abf91f0714b764 2481 ekiga_3.2.7-4.1.dsc
 7f84b47691fcb07b72c193baa986d368adf338ad 17090 ekiga_3.2.7-4.1.debian.tar.gz
 341a3280d1d17249aefb43caeb50fa81bbb3baec 9128336 ekiga_3.2.7-4.1_amd64.deb
 295e5554c8a49b5536be6d4489d87d2867fcd95b 9197236 ekiga-dbg_3.2.7-4.1_amd64.deb
Checksums-Sha256: 
 9500cbaa2feb464a743ea857a71cbd0a539e3d3761e6ad0e2ff10b403e83276b 2481 ekiga_3.2.7-4.1.dsc
 948e8ecb70d582d881a6a824155cacc54c8e12f884a76dbce0d5a6ad2f6f4ad1 17090 ekiga_3.2.7-4.1.debian.tar.gz
 d0418601f0e4fae062f6b5a964b306dc5f04f3dd55fafe7d7f7ef67c28d37e98 9128336 ekiga_3.2.7-4.1_amd64.deb
 14209fc039ef25a931969c494ffac31a7248b5353ae18205a8a9079ee66e43a6 9197236 ekiga-dbg_3.2.7-4.1_amd64.deb
Files: 
 68cc288ff60cc3e98ffc21c24ed60b83 2481 gnome optional ekiga_3.2.7-4.1.dsc
 74836b8d2bcae3b1b9e7eeb65e73549f 17090 gnome optional ekiga_3.2.7-4.1.debian.tar.gz
 59e9125a53e4417626d65063582400f6 9128336 gnome optional ekiga_3.2.7-4.1_amd64.deb
 b5a278f0b63293c78521b3a832d0bb46 9197236 debug extra ekiga-dbg_3.2.7-4.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOnBUAAAoJEK8ig6p24qx7TLwP/3+LMqAOig2+z25vuzx2HyjX
5Ps1raMkEy7kkfO+Ni5bBJTnSttCjIM6gXD0wA3MoNlQC0x+EucVG+At8f+PVPAG
fq0AZnaoBSpXK9vw+VDNy6hfJ+6Ceqjv1jIYokz+wST8y7M9fb3L6txTR/hi7W/e
hBUaJ5sPtR6hGVGIPVhzh2E2HiDei3imBNw7Dwe0dPNUw1ZcDl0iixTrZUv1offT
VKk5fjBnqHT4zN9ct2XyADs0SN7scCUC28G4YnlO3pqjskO5ou6zSxOACX0TfF6x
3LFn2L4tW6gNSaD249isLX02GbOp5FSnoUmfWL1WLGWauN0R+juy5jLJifdyseuf
SEC+QptsHeTDX0U2ewLKEcd0M09NoiWjDDbeBsK16c3fUEbOI/YE+aZgo1xqj07o
YJiPZsxwIXgYiknuzDT44nJQLyBJHjcgawe/D+ayBBqIRKYTZ4vM7Th+LnXWo3tu
gTU1IgypIRcsBY+IEVMumXFyBvXKoZbktJgOVB10gcOB+e/c5Vlhc2x+5sS5veg0
0ddPwGfm3rnT7RBhtkUR6AquiTY//1i08VwzQ+92AsLK+JwpOOKcP6+BPKXLqY6i
BpVcuWQRD9Ij20jSZFyQl+VPweTAdgdXAB8SnF9/9Yt8yKcwg83sR5fBP5NYB5zm
RRjDt1alXId+kYNw8Lje
=YmHA
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Kilian Krause <kilian@debian.org>:
Bug#640256; Package ekiga. (Mon, 17 Oct 2011 13:15:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Kilian Krause <kilian@debian.org>. (Mon, 17 Oct 2011 13:15:50 GMT) Full text and rfc822 format available.

Message #49 received at 640256@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
Cc: 640256@bugs.debian.org
Subject: Re: Bug#640256: ekiga: diff for NMU version 3.2.7-4.1
Date: Mon, 17 Oct 2011 13:20:13 +0100
Hello Eugen,

2011/10/17 Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
> It is ok for me, thank you.

Would you mind if I reschedule the upload to shorter time?

-- 
 Héctor Orón  -.. . -... .. .- -.   -.. . ...- . .-.. --- .--. . .-.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Nov 2011 07:35:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:22:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.